[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# HourOfTheWeek

Calculate the number of hours elapsed since the start of the week.

## Declaration

Source position: dateutil.inc line 202

`function HourOfTheWeek(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | DateTime value for which to calculate the hour of the week.

## Function result

Number of hours elapsed since the start of the week till AValue.

## Description

HourOfTheWeek returns the number of hours that have passed since the start of the Week till the moment indicated by AValue. This is a zero-based number, i.e. 00:59:59 on the first day of the week will return 0.

For an example, see the DayOfTheWeek function.

## See also

HourOfTheYear |  | Calculate the number of hours passed since the start of the year.
HourOfTheMonth |  | Calculate the number of hours passed since the start of the month.
HourOfTheDay |  | Calculate the hour of a given DateTime value
DayOfTheWeek |  | Extracts the day of the week from a DateTime value
MinuteOfTheWeek |  | Calculate the number of minutes elapsed since the start of the week
SecondOfTheWeek |  | Calculate the number of seconds elapsed since the start of the week
MilliSecondOfTheWeek |  | Calculate the number of milliseconds elapsed since the start of the week

Documentation generated on: Feb 26 2014